#ifndef _MAIN_H_
# define _MAIN_H_

# include "mbed.h"
# include "LM75B.h"
# include "C12832.h"
# include "FXOS8700CQ.h"

# define MIN_REFRESH_TIME 500
# define MAX_REFRESH_TIME 5000

# undef _DEBUG
// # define _DEBUG

void sw2_interrupt(void);
void sw3_interrupt(void);
void host_interrupt(void);
void process_function(void);

# if defined _DEBUG
extern Serial pc;
# endif

#endif /* _MAIN_H_ */